# Compiling Helper for Adobe Air SDK

Air SDK compiling helper written for Node.js.
Usefull to clean your testing and distributing workflow.

## Features

- Works on Windows and Mac OSX, not tested on Linux (tell me if you can test it :))
- Stop using batch files to compile or simulate your Air projects, get all your configurations with just one file.
- No more `description.xml` duplicates because of multiple native extensions or multiple app ID.
- No more terminal mess, simplify compiling process with one command.
- Can auto-increment your build numbers.
- Can store your p12 settings, by configuration.
- Push compiled application to iOS and Android devices.
- Can launch pre-configured simulators.
- Can compile to Air / Win / Mac / iOS / Android.
- Auto-detect IP for wifi debugging.

## Installation

```
npm install -g air-compiler 
```

Project hosted on [npm](https://www.npmjs.com/package/air-compiler)
Sources available on [github](https://github.com/la-haute-societe/air-compiler)

## Usage

### Init a project

Go to your project folder with terminal and type :
 
```
air-compiler init
```

This will create a `compiler.config.js` file in your project root.
Compiling process will also create a tmp/ folder in your project root.

### Configure a project

Once the project is initialised, just feed the `compiler.config.js` file.
You have to fill mandatory parameters like Air SDK Path etc.
You can add simulation profiles and compiling profiles.

### Launch SDK simulator

Just pass the simulator profile name as first argument.

Ex : launch the Air simulator with the default iphone screen size 
```
air-compiler iphone
```

Ex : If you create your own simulator profile in the config file
```
air-compiler mySimulationProfile
```

### Compile

Just pass the compiling profile name as first argument.

Ex : Compile the test profile
```
air-compiler test
```

### Pushing apps to devices

Just type `air-compiler push` to push latested compiled ipa and apk to connected devices.
 
You can set the autoInstall parameter in your compiling profile to push automatically compiled binaries to connected devices.